Loading...
Searching...
No Matches
CglImplication Class Reference

This just uses implication info. More...

`#include <CglProbing.hpp>`

Inheritance diagram for CglImplication:
[legend]
Collaboration diagram for CglImplication:
[legend]

## Public Member Functions

Generate Cuts
virtual void | generateCuts (const OsiSolverInterface &si, OsiCuts &cs, const CglTreeInfo info=CglTreeInfo())
| Generate cuts from implication table Insert generated cuts into the cut set cs.
Constructors and destructors
| CglImplication ()
| Default constructor.
| CglImplication (CglTreeProbingInfo *info)
| Constructor with info.
| CglImplication (const CglImplication &)
| Copy constructor.
virtual CglCutGenerator * | clone () const
| Clone.
CglImplication & | operator= (const CglImplication &rhs)
| Assignment operator.
virtual | ~CglImplication ()
| Destructor.
virtual std::string | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
Set implication
void | setProbingInfo (CglTreeProbingInfo *info)
| Set implication.
Public Member Functions inherited from CglCutGenerator
| CglCutGenerator ()
| Default constructor.
| CglCutGenerator (const CglCutGenerator &)
| Copy constructor.
CglCutGenerator & | operator= (const CglCutGenerator &rhs)
| Assignment operator.
virtual | ~CglCutGenerator ()
| Destructor.
virtual void | refreshSolver (OsiSolverInterface *)
| This can be used to refresh any information.
int | getAggressiveness () const
| Get Aggressiveness - 0 = neutral, 100 is normal root node.
void | setAggressiveness (int value)
| Set Aggressiveness - 0 = neutral, 100 is normal root node.
void | setGlobalCuts (bool trueOrFalse)
| Set whether can do global cuts.
bool | canDoGlobalCuts () const
| Say whether can do global cuts.
virtual bool | mayGenerateRowCutsInTree () const
| Returns true if may generate Row cuts in tree (rather than root node).
virtual bool | needsOptimalBasis () const
| Return true if needs optimal basis to do cuts.
virtual int | maximumLengthOfCutInTree () const
| Return maximum length of cut in tree.

## Private Attributes

Private member data
CglTreeProbingInfo * | probingInfo_
| Pointer to tree probing info.

## Additional Inherited Members

int | aggressive_
| Aggressiveness - 0 = neutral, 100 is normal root node.
bool | canDoGlobalCuts_
| True if can do global cuts i.e. no general integers.

## Detailed Description

This just uses implication info.

Definition at line 490 of file CglProbing.hpp.

## Constructor & Destructor Documentation

## CglImplication() [1/3]

CglImplication::CglImplication | ( |  | ) |

Default constructor.

## CglImplication() [2/3]

CglImplication::CglImplication | ( | CglTreeProbingInfo * | info | ) |

Constructor with info.

## CglImplication() [3/3]

CglImplication::CglImplication | ( | const CglImplication & |  | ) |

Copy constructor.

## ~CglImplication()

virtual CglImplication::~CglImplication | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## generateCuts()

virtual void CglImplication::generateCuts | ( | const OsiSolverInterface & | si,
|  | OsiCuts & | cs,
|  | const CglTreeInfo | info = CglTreeInfo() )

virtual

Generate cuts from implication table Insert generated cuts into the cut set cs.

Implements CglCutGenerator.

## clone()

virtual CglCutGenerator * CglImplication::clone | ( |  | ) | const

virtual

Clone.

Implements CglCutGenerator.

## operator=()

CglImplication & CglImplication::operator= | ( | const CglImplication & | rhs | ) |

Assignment operator.

## generateCpp()

virtual std::string CglImplication::generateCpp | ( | FILE * | fp | ) |

virtual

Create C++ lines to get to current state.

Reimplemented from CglCutGenerator.

## setProbingInfo()

void CglImplication::setProbingInfo | ( | CglTreeProbingInfo * | info | ) |

inline

Set implication.

Definition at line 532 of file CglProbing.hpp.

## Member Data Documentation

## probingInfo_

CglTreeProbingInfo* CglImplication::probingInfo_

private

Pointer to tree probing info.

Definition at line 540 of file CglProbing.hpp.

The documentation for this class was generated from the following file:

- Cgl/src/CglProbing/CglProbing.hpp